PHPExcel_Worksheet

# Class: PHPExcel_Worksheet_RowDimension

Source Location: /PHPExcel/Worksheet/RowDimension.php

### Class Overview

PHPExcel_Worksheet_RowDimension

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- __construct
- getCollapsed
- getOutlineLevel
- getRowHeight
- getRowIndex
- getVisible
- getXfIndex
- getzeroHeight
- setCollapsed
- setOutlineLevel
- setRowHeight
- setRowIndex
- setVisible
- setXfIndex
- setzeroHeight
- __clone

### Class Details

[line 36]
PHPExcel_Worksheet_RowDimension

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 94]

`PHPExcel_Worksheet_RowDimension __construct( [int $pIndex = 0])`

Create a new PHPExcel_Worksheet_RowDimension

#### Tags:

access: | public

#### Parameters:

int | $pIndex | Numeric row index

[ Top ]

### method getCollapsed [line 215]

`bool getCollapsed( )`

Get Collapsed

#### Tags:

access: | public

[ Top ]

### method getOutlineLevel [line 188]

`int getOutlineLevel( )`

Get Outline Level

#### Tags:

access: | public

[ Top ]

### method getRowHeight [line 128]

`double getRowHeight( )`

Get Row Height

#### Tags:

access: | public

[ Top ]

### method getRowIndex [line 108]

`int getRowIndex( )`

Get Row Index

#### Tags:

access: | public

[ Top ]

### method getVisible [line 168]

`bool getVisible( )`

Get Visible

#### Tags:

access: | public

[ Top ]

### method getXfIndex [line 235]

`int getXfIndex( )`

Get index to cellXf

#### Tags:

access: | public

[ Top ]

### method getzeroHeight [line 148]

`bool getzeroHeight( )`

Get ZeroHeight

#### Tags:

access: | public

[ Top ]

### method setCollapsed [line 225]

`PHPExcel_Worksheet_RowDimension setCollapsed( [bool $pValue = true])`

Set Collapsed

#### Tags:

access: | public

#### Parameters:

bool | $pValue |

[ Top ]

### method setOutlineLevel [line 201]

`PHPExcel_Worksheet_RowDimension setOutlineLevel( int $pValue)`

Set Outline Level

Value must be between 0 and 7

#### Tags:

throws: | Exception
access: | public

#### Parameters:

int | $pValue |

[ Top ]

### method setRowHeight [line 138]

`PHPExcel_Worksheet_RowDimension setRowHeight( [double $pValue = -1])`

Set Row Height

#### Tags:

access: | public

#### Parameters:

double | $pValue |

[ Top ]

### method setRowIndex [line 118]

`PHPExcel_Worksheet_RowDimension setRowIndex( int $pValue)`

Set Row Index

#### Tags:

access: | public

#### Parameters:

int | $pValue |

[ Top ]

### method setVisible [line 178]

`PHPExcel_Worksheet_RowDimension setVisible( [bool $pValue = true])`

Set Visible

#### Tags:

access: | public

#### Parameters:

bool | $pValue |

[ Top ]

### method setXfIndex [line 246]

`PHPExcel_Worksheet_RowDimension setXfIndex( [int $pValue = 0])`

Set index to cellXf

#### Tags:

access: | public

#### Parameters:

int | $pValue |

[ Top ]

### method setzeroHeight [line 158]

`PHPExcel_Worksheet_RowDimension setzeroHeight( [bool $pValue = false])`

Set ZeroHeight

#### Tags:

access: | public

#### Parameters:

bool | $pValue |

[ Top ]

### method __clone [line 255]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:17:35 +0200 by phpDocumentor 1.4.4